cancel
Showing results for 
Search instead for 
Did you mean: 

ModusToolbox Bluetooth SDK

LiLe_3234306
New Contributor II

Hi Cypress,

As I know, MBT 2.2 and BTSDK 2.8.x supports for BT Core 5.0.  But our customer wants to receive BT Core 5.2 with CYW20706 for BT SIG certification because it's listed as BT 5.2 in BT SIG.

When I check the air log using MBT 2.2 and BTSDK 2.8.x, it's shown as BT Core 5.0. Please see the attached air log.

Q) To receive BT SIG certification with BT Core 5.2, what should we do?

Thanks,

Liam

0 Likes
Reply
1 Solution
LiLe_3234306
New Contributor II

Hi MichaelF_56,

Thanks again for your confirm.

I have opened mycase#00611475, could you check it?

Thanks,

Liam

View solution in original post

0 Likes
Reply
7 Replies
MichaelF_56
Moderator
Moderator

What is needed from BT 5.2?

Note that the CY-WICED 4.1 BLUETOOTH Host Stack (BT5.2) listing is complete.

Below are the details.

  • DID #  D050754
  • QDID # 160340
0 Likes
Reply
LiLe_3234306
New Contributor II

Hi MichaelF_56,

About your question - "What is needed from BT 5.2?",

Our customer just wants to get BT SIG approval with BT 5.1 or BT 5.2 for their product.

Q) Could you let me know the WICED SDK version used to CY-WICED 4.1 BLUETOOTH Host Stack?

Thanks,

Liam

0 Likes
Reply
MichaelF_56
Moderator
Moderator

ModusToolbox Bluetooth SDK 2.8

0 Likes
Reply
LiLe_3234306
New Contributor II

Hi MichaelF_56,

As you said, if ModusToolbox Bluetooth SDK 2.8 uses CY-WICED 4.1 BLUETOOTH Host Stack, BT Core version information should be shown as BT Core 5.2. Rigth?

However, when I check OTA log using the MTB & BTSDK 2.8, BT Core version is shown as BT Core 5.0. Please see the attached image in 1'st post.

Let me check it again and then update soon.

Thanks,

Liam

0 Likes
Reply
LiLe_3234306
New Contributor II

Hi MichaelF_56,

This is Liam Lee working for Uniquest(Disty. in KR) as FAE. If you are ok, I'd like to keep talking this case via mycase. If so, let me open mycase and then let you know the mycase#. Are you ok?

Thanks,

Liam

0 Likes
Reply
MichaelF_56
Moderator
Moderator

Sure.  One of our SW AEs will need to answer the OTA mismatch issue.  Our Stack noted above is BT 5.2 certified with all the necessary patches.  This is the stack used in ModusToolbox Bluetooth SDK 2.8

0 Likes
Reply
LiLe_3234306
New Contributor II

Hi MichaelF_56,

Thanks again for your confirm.

I have opened mycase#00611475, could you check it?

Thanks,

Liam

View solution in original post

0 Likes
Reply